Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ares.provider
Class AresItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.amp.amf.testing.ares.util.AresAdapterFactory
              org.eclipse.amp.amf.testing.ares.provider.AresItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class AresItemProviderAdapterFactory

extends AresAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`.
`protected ConstraintTestItemProvider` | `constraintTestItemProvider` This keeps track of the one adapter used for all `ConstraintTest` instances.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected RunItemProvider` | `runItemProvider` This keeps track of the one adapter used for all `Run` instances.
`protected RunSetItemProvider` | `runSetItemProvider` This keeps track of the one adapter used for all `RunSet` instances.
`protected java.util.Collection<java.lang.Object>` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.

Fields inherited from class org.eclipse.amp.amf.testing.ares.util.AresAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`AresItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
`void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` | `createConstraintTestAdapter()` This creates an adapter for a `ConstraintTest`.
`org.eclipse.emf.common.notify.Adapter` | `createRunAdapter()` This creates an adapter for a `Run`.
`org.eclipse.emf.common.notify.Adapter` | `createRunSetAdapter()` This creates an adapter for a `RunSet`.
`void` | `dispose()` This disposes all of the item providers created by this factory.
`void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` | `isFactoryForType(java.lang.Object type)`
`void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.amp.amf.testing.ares.util.AresAdapterFactory
`createAdapter, createEObjectAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### runItemProvider

    protected RunItemProvider runItemProvider

  This keeps track of the one adapter used for all `Run` instances.

### constraintTestItemProvider

    protected ConstraintTestItemProvider constraintTestItemProvider

  This keeps track of the one adapter used for all `ConstraintTest` instances.

### runSetItemProvider

    protected RunSetItemProvider runSetItemProvider

  This keeps track of the one adapter used for all `RunSet` instances.

Constructor Detail

### AresItemProviderAdapterFactory

    public AresItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createRunAdapter

    public org.eclipse.emf.common.notify.Adapter createRunAdapter()

  This creates an adapter for a `Run`.

  Overrides:
    `createRunAdapter` in class `AresAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Run`

### createConstraintTestAdapter

    public org.eclipse.emf.common.notify.Adapter createConstraintTestAdapter()

  This creates an adapter for a `ConstraintTest`.

  Overrides:
    `createConstraintTestAdapter` in class `AresAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConstraintTest`

### createRunSetAdapter

    public org.eclipse.emf.common.notify.Adapter createRunSetAdapter()

  This creates an adapter for a `RunSet`.

  Overrides:
    `createRunSetAdapter` in class `AresAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RunSet`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AresAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD